Package org.eclipse.wst.xsl.core.internal.encoding

## org.eclipse.wst.xsl.core.internal.encoding
Class XSLDocumentLoader

    public class XSLDocumentLoader
    extends AbstractDocumentLoader

This class reads an XSL file and creates an XML Structured Model.

## Constructor Summary

`XSLDocumentLoader()`

## Method Summary

`public IDocumentPartitioner` | `getDefaultDocumentPartitioner()`
`public IDocumentCharsetDetector` | `getDocumentEncodingDetector()`
`public RegionParser` | `getParser()`
`protected java.lang.String` | `getSpecDefaultEncoding()`
`protected IEncodedDocument` | `newEncodedDocument()`
`public IDocumentLoader` | `newInstance()`

## Constructor Detail

## XSLDocumentLoader

`public XSLDocumentLoader()`

## Methods Detail

## getDefaultDocumentPartitioner

`public IDocumentPartitioner getDefaultDocumentPartitioner()`

### Returns

`IDocumentPartitioner`

## getDocumentEncodingDetector

`public IDocumentCharsetDetector getDocumentEncodingDetector()`

### Returns

`IDocumentCharsetDetector`

## getParser

`public RegionParser getParser()`

### Returns

`RegionParser`

## getSpecDefaultEncoding

`protected java.lang.String getSpecDefaultEncoding()`

### Returns

`java.lang.String`

## newEncodedDocument

`protected IEncodedDocument newEncodedDocument()`

### Returns

`IEncodedDocument`

## newInstance

`public IDocumentLoader newInstance()`

### Returns

`IDocumentLoader`